export declare type Props = {
    name: string;
    localPort?: number;
};
/**
 * @example
 * const helloWorld = useFirebaseFunction({name: 'helloWorld'})
 */
export default function useFirebaseFunction({ name, localPort: defaultLocalPort, }: Props): {
    fetcher: (payload?: any) => Promise<import("@firebase/functions").HttpsCallableResult<unknown>>;
    loading: boolean;
    error: any;
    result: any;
    exec: (payload?: any) => void;
};
